Authorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Request Body
application/json
from?string
to?string
userIds?array<string>
string
actions?array<string>
string
devices?array<string>
string
methods?array<string>
string
geos?array<string>
string
remoteAddresses?array<string>
string
externalIds?array<string>
string
tenants?array<string>
string
noTenants?boolean
text?string
excludedActions?array<string>
string
actorIds?array<string>
string
size?integer
Format
int32page?integer
Format
int32searchFields?array<SearchField>
oldestFirst?boolean
loginIdsContain?array<string>
string
loginIdsNotContain?array<string>
string
excludedExternalIds?array<string>
string
auditTypes?array<string>
string
levels?array<string>
string
Search the audit log, using a valid management key.
This API endpoint allows you to search the audit log utilizing various search parameters and returns the results in JSON format.
curl -X POST "https://api.descope.com/v1/mgmt/audit/search" \ -H "Content-Type: application/json" \ -d '{}'{ "audits": [ { "ID": "string", "projectId": "string", "userId": "string", "action": "string", "occurred": "string", "device": "string", "method": "string", "geo": "string", "remoteAddress": "string", "externalIds": [ "string" ], "tenants": [ "string" ], "data": {}, "type": "string", "actorId": "string" } ], "total": 0}export interface Response {audits?: Audit[]total?: number}export interface Audit {ID?: stringprojectId?: stringuserId?: stringaction?: stringoccurred?: stringdevice?: stringmethod?: stringgeo?: stringremoteAddress?: stringexternalIds?: string[]tenants?: string[]data?: {}type?: stringactorId?: string} Was this helpful?